// 管理员（科组长）打分模块
import MarkHome from "../modules/mark/MarkHome";
import MarkProgress from "../modules/mark/MarkProgress";
import MarkDetail from "../modules/mark/MarkDetail";
import MarkTaskManage from "../modules/mark/MarkTaskManage";
import MarkUserManage from "../modules/mark/MarkUserManage";
import MarkGroupManage from "../modules/mark/MarkGroupManage";
import ExamPaperView from "../modules/main/ExamPaperView";

// 阅卷员打分
import MarkOperation from "../modules/mark/MarkOperation";
import MarkerMarking from "../modules/mark/marker/MarkerMarking";
import LeaderMarking from "../modules/mark/leader/LeaderMarking";

const markRoutes = [
  {
    path: "mark-progress",
    name: "MarkProgress",
    component: MarkProgress,
    meta: {
      title: "打分进度"
    }
  },
  {
    path: "mark-task-manage",
    name: "MarkTaskManage",
    component: MarkTaskManage,
    meta: {
      title: "任务发布"
    }
  },
  {
    path: "mark-detail",
    name: "MarkDetail",
    component: MarkDetail,
    meta: {
      title: "打分详情"
    }
  },
  {
    path: "mark-user-manage",
    name: "MarkUserManage",
    component: MarkUserManage,
    meta: {
      title: "用户管理"
    }
  },

  {
    path: "mark-group-manage",
    name: "MarkGroupManage",
    component: MarkGroupManage,
    meta: {
      title: "打分分组"
    }
  },
  {
    path: "exam-paper-view",
    name: "MarkExamPaperView",
    component: ExamPaperView,
    meta: {
      title: "试卷查看"
    }
  }
];

export default [
  {
    path: "/mark/:workId(\\d+)/:subjectId",
    name: "Mark",
    component: MarkHome,
    redirect: { name: "MarkProgress" },
    children: markRoutes
  },
  {
    path: "/mark-operation/:workId(\\d+)/:subjectId",
    name: "MarkOperation",
    component: MarkOperation,
    meta: {
      title: "阅卷员打分"
    }
  },
  {
    path: "/marker-marking/:workId(\\d+)/:subjectId",
    name: "MarkerMarking",
    component: MarkerMarking,
    meta: {
      title: "阅卷员打分"
    }
  },
  {
    path: "/leader-marking/:workId(\\d+)/:subjectId",
    name: "LeaderMarking",
    component: LeaderMarking,
    meta: {
      title: "科组长打分"
    }
  }
];
